#ifndef END_SCREEN_HPP
#define END_SCREEN_HPP

#include "godot_cpp/classes/canvas_layer.hpp"
#include "godot_cpp/classes/packed_scene.hpp"
namespace godot {
class EndScreen : public CanvasLayer {
    GDCLASS(EndScreen, CanvasLayer);
    static void _bind_methods();
public:
    virtual void _ready() override;

    void return_to_main();
    void restart();

    void set_main_menu_scene(Ref<PackedScene> scene);
    Ref<PackedScene> get_main_menu_scene() const;

    void set_game_scene(Ref<PackedScene> scene);
    Ref<PackedScene> get_game_scene() const;
private:
    Ref<PackedScene> game_scene{};
    Ref<PackedScene> main_menu_scene{};
};
}
#endif // !END_SCREEN_HPP
